*partner
use b:adressen index adressen
go top
erase
@ 5,5
store mname to mname2
locate for mname2$name2
store "j" to nochmals
do while (nochmals) <> "n"
  if eof
    ? "Gew}nschter Name nicht gefunden."
    ? "Zur R}ckkehr ins Programm beliebige Taste dr}cken."
    Wait
    Return
  endif
  ? trim(vorname1) +" "+ name1
  ? trim(vorname2) +" "+ name2
  ? trim(prstrasse) +" "+ nr
  ? trim(plz) +" "+ Ort
  ? prtelefon
  ? co
  ? trim(dlstrasse) +" "+ dlnr
  ? trim(dlplz) +" "+ dlort
  ? dltelefon1 + dltelefon2
  ?
  ? "Soll die Adresse ausgedruckt werden?"
  ? "Wenn ja,bitte vorher Drucker einschalten"
  Wait to antwort
  if antwort = "j"
    do addruck     
  endif
  ? "Sollen weitere Adressen unter dem Namen aufgezeigt werden?"
  Wait to nochmals
  if nochmals ="n"
    return
  endif
  erase
  continue
enddo
return